Bug 1879470 (CVE-2020-14376) - CVE-2020-14376 dpdk: buffer overflow copying iv_data from guest to host (prepare_sym_cipher_op & prepare_sym_chain_op)
Summary: CVE-2020-14376 dpdk: buffer overflow copying iv_data from guest to host (prep...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-14376
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1910488 1883275
Blocks: 1879474
TreeView+ depends on / blocked
 
Reported: 2020-09-16 11:17 UTC by Dhananjay Arunesh
Modified: 2021-02-16 19:15 UTC (History)
24 users (show)

Fixed In Version: dpdk 18.11.10, dpdk 19.11.5
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in dpdk. A lack of bounds checking when copying iv_data from the VM guest memory into host memory can lead to a large buffer overflow. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-09-28 20:41:01 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-09-16 11:17:18 UTC
Lack of bounds checking when copying iv_data from the VM guest memory into host memory can lead to a large buffer overflow. The size and location of this overflow gives the attacker extensive control and could potentially lead to remote code execution.

Comment 7 Dave Baker 2020-09-28 15:52:30 UTC
Statement:

This flaw does not affect the versions of `dpdk` as shipped with Red Hat Enterprise Linux 7 and 8 or the versions embedded in Red Hat Virtualization or the Fast Datapath `openvswitch` package, as they do not enable generic crypto device library support. This causes the vulnerable code in vhost_crypto.c to not be included.

This flaw does not affect Red Hat Ceph Storage 3 and 4 as dpdk (embedded in ceph source rpm) is not built in the packages, therefore the vulnerable code is not available in the resulting RPM and the issue cannot be exploited.

Comment 8 Dave Baker 2020-09-28 15:56:52 UTC
Acknowledgments:

Name: Ryan Hall

Comment 9 Dave Baker 2020-09-28 15:56:55 UTC
External References:

https://www.openwall.com/lists/oss-security/2020/09/28/3

Comment 10 Dave Baker 2020-09-28 15:57:24 UTC
Created dpdk tracking bugs for this issue:

Affects: fedora-all [bug 1883275]

Comment 11 Product Security DevOps Team 2020-09-28 20:41:01 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14376


Note You need to log in before you can comment on or make changes to this bug.